/// <reference types="node" />
import Jimp from "jimp";
export declare function clearImage(imgPath: string): Promise<Jimp>;
export declare function getImageBuffer(imgJimp: Jimp): Promise<Buffer>;
export declare function convertImageToBase64(image: Buffer): string;
export declare function applyFilters(img: Buffer): Promise<Buffer>;
export declare function replaceColorsFromImage(img: Buffer, colorsToReplace?: Array<{
    targetColor: string;
    newColor: string;
}>): Promise<Jimp>;
